#
# spec file for package python3-django-avatar
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-django-avatar
Version:        3.1.0
Release:        1.6
License:        BSD-3-Clause
Summary:        Django-avatar package
Url:            http://github.com/ericflo/django-avatar
Group:          Development/Libraries/Python
Source:         https://files.pythonhosted.org/packages/source/d/django-avatar/django-avatar-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-django
BuildRequires:  python3-setuptools
Requires:       python3-django
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Django-avatar is a reusable application for handling user avatars.  It has the
ability to default to Gravatar_ if no avatar is found for a certain user.
Django-avatar automatically generates thumbnails and stores them to your default
file storage backend for retrieval later.

%prep
%setup -q -n django-avatar-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.txt
%{python3_sitelib}/*

%changelog
* Sun Sep 11 2016 arun@gmx.de
- update to version 3.1.0:
  * Added the ability to override templates using AVATAR_ADD_TEMPLATE,
    AVATAR_CHANGE_TEMPLATE, and AVATAR_DELETE_TEMPLATE.
  * Added the ability to pass additional HTML attributes using the {%%
    avatar %%} template tag.
  * Fixed unused verbosity setting in rebuild_avatars.py.
  * Added Django 1.10 support
  * Removed Python 3.2 support
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sat Feb 27 2016 arun@gmx.de
- update to version 3.0.0:
  * Added the ability to hide usernames/emails from avatar URLs.
  * Added the ability to use a Facebook Graph avatar as a backup.
  * Added a way to customize where avatars are stored.
  * Added a setting to disable the avatar cache.
  * Updated thumbnail creation to preserve RGBA.
  * Fixed issue where render_primary would not work if username/email
    was greater than 30 characters.
  * Fixed issue where cache was not invalidated after updating avatar
  * Backwards Incompatible: Renamed the avatar.util module to
    avatar.utils.
* Sun Jan 17 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 2.2.1:
  * Added AVATAR_GRAVATAR_FIELD setting to define the user field to
    get the gravatar email.
  * Improved Django 1.9/1.10 compability
  * Improved Brazilian translations
* Sat Dec  5 2015 arun@gmx.de
- update to version 2.2.0:
  * Added Python 3.5 support
  * Added Django 1.9 support
  * Removed Python 2.6 support
  * Removed Django 1.4, 1.5, and 1.6 support
* Tue Aug 11 2015 arun@gmx.de
- specfile:
  * update copyright year
- update to version 2.1.1:
  * Added Polish locale
  * Fixed RemovedInDjango19Warning warnings
- changes from version 2.1:
  * Django 1.7 and 1.8 support
  * Add South and Django migrations
  * Changed Gravatar link to use HTTPS by default
  * Fixed a bug where the admin avatar list page would only show a
    user's primary avatar
  * Updated render_primary view to accept usernames with @ signs in
    them
  * Updated translations (added Dutch, Japanese, and Simple Chinese)
* Wed Oct 23 2013 toddrme2178@gmail.com
- Add BuildRequires:  python3-django
* Fri Sep 27 2013 p.drouand@gmail.com
- Initial python3 support
* Fri Sep 27 2013 p.drouand@gmail.com
- Update to version 2.0
  + No changelog available
- Cleanup specfile
- Replace python-ditribute with python-setuptools BuildRequires
* Tue Mar 13 2012 saschpe@suse.de
- Add %%changelog line
* Mon Mar 12 2012 saschpe@gmx.de
- Spec file cleanup
* Mon Jul  5 2010 alexandre@exatati.com.br
- Update to 1.0.5.
* Tue Mar 16 2010 alexandre@exatati.com.br
- Update to 1.0.4.
* Mon Nov  9 2009 alexandre@exatati.com.br
- Update to 1.0.3;
- Building as noarch for openSUSE >= 11.2.
* Thu Aug 13 2009 alexandre@exatati.com.br
- Initial version (1.0.1) for openSUSE.
